package com.ltgk.common.enums;

import lombok.Getter;

/**
 * 应急救援资金中资金来源枚举类
 *
 * @author Qi ChengBin
 * @date 2025/02/06 13:47:25
 */
@Getter
public enum EmReliefFundSourceEnums {
    CENTRAL_GOVERNMENT(0, "中央政府"),
    PROVINCE_GOVERNMENT(1, "省级政府"),
    CITY_GOVERNMENT(2, "市级政府"),
    DISTRICT_GOVERNMENT(3, "区级政府"),
    SOCIAL_FUND(4, "社会捐赠"),
    ENTERPRISE_SPONSORSHIP(5, "企业赞助");

    private final Integer code;
    private final String desc;

    EmReliefFundSourceEnums(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }
}
